docs

# VideoContent

data class VideoContent ( val media: VideoFile , val text: String ? = null, val textSources: TextSourcesList = emptyList()) : VisualMediaGroupContent
Content copied to clipboard

## Constructors

VideoContent
Link copied to clipboard
fun VideoContent ( media: VideoFile , text: String ? = null, textSources: TextSourcesList = emptyList())
Content copied to clipboard

## Functions

asTelegramMedia
Link copied to clipboard
open override fun asTelegramMedia (): TelegramMediaVideo
Content copied to clipboard
createResend
Link copied to clipboard
open override fun createResend ( chatId: ChatIdentifier , disableNotification: Boolean , protectContent: Boolean , replyToMessageId: MessageIdentifier ?, allowSendingWithoutReply: Boolean ?, replyMarkup: KeyboardMarkup ?): Request < ContentMessage < VideoContent >>
Content copied to clipboard
toMediaGroupMemberTelegramMedia
Link copied to clipboard
open override fun toMediaGroupMemberTelegramMedia (): TelegramMediaVideo
Content copied to clipboard

## Properties

media
Link copied to clipboard
open override val media : VideoFile
Content copied to clipboard
text
Link copied to clipboard
open override val text : String ? = null
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : TextSourcesList
Content copied to clipboard

Full list of TextSources